Page MenuHomePhabricator

Tool "wikimap" loads Google Maps
Closed, ResolvedPublic

Description

http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places
http://tools.wmflabs.org/wikimap: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=apiboot2&libraries=places&e=10_1_0,10_2_0&rt=main.14
http://tools.wmflabs.org/wikimap: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=apiboot2&libraries=places&e=10_1_0,10_2_0&rt=firstmap.2047
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/common.js
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/map.js
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/util.js
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/controls.js
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/places_impl.js
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps/api/js/StaticMapService.GetMapImage?1m2&1i18057495&2i11225858&2e1&3u17&4m2&1u390&2u300&5m5&1e0&5sen-US&6sus&10b1&12b1&token=56742
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/infowindow.js
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/powered-by-google-on-white3.png
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/autocomplete-icons.png
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/onion.js
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/openhand_8_8.cur
http://tools.wmflabs.org/wikimap: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=map2&firstmap=true&hdpi=false&mob=false&staticmap=true&size=390x300&hadviewport=true&libraries=places&e=10_1_0,10_2_0&rt=visreq.455
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps/api/js/ViewportInfoService.GetViewportInfo?1m6&1m2&1d51.04589511093623&2d13.731553185664325&2m2&1d51.0521677211768&2d13.744300748411206&2u17&4sen-US&5e0&6sm%40386000000&7b0&8e0&callback=_xdc_._svhymu&token=4128
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/transparent.png
http://tools.wmflabs.org/wikimap: https://fonts.googleapis.com/css?family=Roboto:300,400,500,700
http://tools.wmflabs.org/wikimap: https://csi.gstatic.com/csi?v=2&s=mapsapi3&v3v=29.13&action=map2&firstmap=true&hdpi=false&mob=false&staticmap=true&size=390x300&hadviewport=true&libraries=places&e=10_1_0,10_2_0&rt=staticmap.502,firstpixel.502,allpixels.502
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/google4.png
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/mapcnt6.png
http://tools.wmflabs.org/wikimap: https://maps.googleapis.com/maps-api-v3/api/js/29/13/marker.js
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/tmapctrl.png
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/cb_scout5.png
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/api-3/images/tmapctrl4.png
http://tools.wmflabs.org/wikimap: https://maps.gstatic.com/mapfiles/mv/imgs8.png

Loading from external providers are discouraged. Please see parent tasks and J65.

You may want to refer to https://www.mediawiki.org/wiki/Maps for how to migrate to Wikimedia Maps service.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2017, 12:50 AM

The tool maintainer is DB111. I cannot find their Phabricator username.

Quiddity triaged this task as High priority.Jun 25 2018, 6:21 PM

Looks like that user (if it is the same?) could be reached on-wiki?: https://tools.wmflabs.org/guc/?user=DB111

Note: I did send DB111 an email in July via https://de.wikipedia.org/wiki/Benutzer:DB111 per T196418#4409358 - I will now leave a talkpage comment on their userpage.

DB111 closed this task as Resolved.Sep 7 2019, 9:35 PM
DB111 claimed this task.
DB111 added a subscriber: DB111.

Converted to OSM.